aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authornixpkgs-review <nixpkgs-review@example.com>2020-11-05 11:42:54 -0300
committernixpkgs-review <nixpkgs-review@example.com>2020-11-05 11:42:54 -0300
commite0e0b5cb26dfba1497bd4b94b6e3157e0d247f80 (patch)
tree7d7e33b7bd344fc44b36f8ef077137e9281c10c6 /scripts
parentMove translated pages to po files (diff)
downloadeuandre.org-e0e0b5cb26dfba1497bd4b94b6e3157e0d247f80.tar.gz
euandre.org-e0e0b5cb26dfba1497bd4b94b6e3157e0d247f80.tar.xz
Check that translations are up to date in tests
Diffstat (limited to '')
-rwxr-xr-xscripts/sync-translations.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/scripts/sync-translations.sh b/scripts/sync-translations.sh
index 4becea6..7256f6e 100755
--- a/scripts/sync-translations.sh
+++ b/scripts/sync-translations.sh
@@ -7,3 +7,10 @@ set -x
./scripts/extract-translations.sh
./scripts/apply-translations.sh
+
+if [[ "${1:-}" = '--check' ]]; then
+ git diff --quiet || {
+ echo 'Translations are out of sync'
+ exit 1
+ }
+fi